package ru.landgrafhomyak.db.sql_skeleton_0.api.misc

import kotlin.jvm.JvmName

public interface Column<RT, DT : DatabaseType<RT>, tUE : Any> {
	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("name")
	public val name: String

	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("type")
	public val type: DT

	@Suppress("INAPPLICABLE_JVM_NAME", "PropertyName")
	@get:JvmName("_getOwner")
	public val _owner: _Selectable<tUE>
}